/*
 * The example illustrates inheritance. Agriculatural location
 * is used to store place from  the perspective of agricultural use.
 * It stores the average rainfall but there is probably a lot of other
 * relavant data to store like soil type, temperature, etc.
 * This class inherits the GPS coordinates from Location.
 */
public class AgriculturalLocation extends Location {

	double avgAnnualRainfall;

	public AgriculturalLocation( String name, double lat, double longi, double rain )
	{
		// this calls the constructor of Location with the latitude and longitude.
		super( name, lat, longi );
		avgAnnualRainfall =  rain;

		System.out.println( "AgriculturalLocation constructor.");
	}

	// converts the object to a string. In this case we format the information
	// for the user to read easily.
	public String toString()
	{
		//super.toString() will use the toString method in Location.
		String label = "GPS: " + super.toString() + " Avg Annual Rainfall: " + avgAnnualRainfall;

		return label;
	}

}
