
public class LocationTester {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		//Create a new location at Bren Hall
		Location brenHallUCI = new Location("Bren Hall", 33.6432683,  -117.8418767 );
		
		System.out.println( brenHallUCI.toString() );
		
		//Create a new location for agriculture, again near Bren Hall
		AgriculturalLocation irvineAg = new AgriculturalLocation("Irvine",  33.6432683, -117.8418767, 13.87 );
		
		// This cast is OK. An AgriculturalLocation is a Location
		Location bh = irvineAg;
		
		// Which toString method will be called? The one that most closely matches
		// the object we are referencing. In this case irvineAg is an AgriculturalLocation
		// so that's the toString method that will be called.
		System.out.println( irvineAg );
		
		// Create a new location at the Empire State Building
		Location empireStateBuilding = new Location( "Empire State Building", 40.7483948, -73.98549556 );
		
		System.out.println( empireStateBuilding.toString() );
		
		// compute the distance between irvineAg and empireStateBuilding.
		// since irvineAg extends class location, it inherits the method
		// distanceInMeters
		double distance = irvineAg.distanceInMeters( empireStateBuilding );
		
		System.out.println(" The distance from " + bh.name + " to " 
				+ empireStateBuilding.name + " is");
		System.out.println("" + distance + " meters.");

	}

}
